# sc::LocalDiagSCMatrix Class Reference

Inheritance diagram for sc::LocalDiagSCMatrix:

List of all members.

## Public Member Functions

| LocalDiagSCMatrix (const RefSCDimension &, LocalSCMatrixKit *)
void | save_data_state (StateOut &)
double | get_element (int) const
| Return or modify an element.
void | set_element (int, double)
void | accumulate_element (int, double)
void | accumulate (const DiagSCMatrix *)
| Sum m into this.
double | invert_this ()
| Invert this.
double | determ_this ()
| Return the determinant of this. this is overwritten.
double | trace ()
| Return the trace.
void | gen_invert_this ()
| Do a generalized inversion of this.
void | element_op (const Ref< SCElementOp > &)
| Perform the element operation op on each element of this.
void | element_op (const Ref< SCElementOp2 > &, DiagSCMatrix *)
void | element_op (const Ref< SCElementOp3 > &, DiagSCMatrix *, DiagSCMatrix *)
void | vprint (const char *title=0, std::ostream &out=ExEnv::out0(), int=10) const
double * | get_data ()
Ref< SCMatrixSubblockIter > | local_blocks (SCMatrixSubblockIter::Access)
| Returns iterators for the local (rapidly accessible) blocks used in this matrix.
Ref< SCMatrixSubblockIter > | all_blocks (SCMatrixSubblockIter::Access)
| Returns iterators for the all blocks used in this matrix.

## Friends

class | LocalSCMatrix
class | LocalSymmSCMatrix
class | LocalSCVector

## Member Function Documentation

Ref<SCMatrixSubblockIter> sc::LocalDiagSCMatrix::local_blocks | ( | SCMatrixSubblockIter::Access |  | ) | `[virtual]`

Returns iterators for the local (rapidly accessible) blocks used in this matrix.

Implements sc::DiagSCMatrix.

The documentation for this class was generated from the following file:

- local.h